Version 1.6.0 yet unknow to Anaconda ?

337
6
03-06-2019 03:40 AM
Rolandvan_Zoest
New Contributor III

Version 1.6.0 is not being installed by "conda upgrade arcgis".

It says 1.5.3 is already installed ...

0 Kudos
6 Replies
DanPatterson_Retired
MVP Esteemed Contributor

Your 'pinned' file C:\<install_directory>\bin\Python\res\pinned

is probably limiting it to versions of 1.5

arcgis 1.5.*

but

https://anaconda.org/esri/ArcGIS 

shows conda install -c esri arcgis

0 Kudos
Rolandvan_Zoest
New Contributor III

Hello Dan,

INDEED !

It came with ArcGisPro 2.3(.1) ...

Is it safe to change this this line to arcgis 1.. ?

Thanks,

Roland @ GeoDesk

Wageningen University

Netherlands

0 Kudos
DanPatterson_Retired
MVP Esteemed Contributor

let us know

0 Kudos
Rolandvan_Zoest
New Contributor III

Changing arcgis 1.5.* to arcgis 1.6.* in file “pinned”

made conda upgrading package arcgis to 1.6.0

Use the “pinned” file in the right/active environment !

For me this was in C:\Users\<name>\AppData\Local\ESRI\conda\envs\<name>\conda-meta

I’m glad this worked, because this update solves a serious problem in arcgis.gis

Thanks,

Roland

0 Kudos
DanPatterson_Retired
MVP Esteemed Contributor

Just drop the --dry-run when you think it will do no damage

(arcgispro-py3) C:\arc_pro\bin\Python\envs\arcgispro-py3>conda upgrade arcgis -c esri --no-pin --dry-run
Fetching package metadata .............
Solving package specifications: .

Package plan for installation in environment C:\arc_pro\bin\Python\envs\arcgispro-py3:

The following packages will be UPDATED:

    arcgis:   1.5.3-py36h66efe7d_1 esri --> 1.6.0-py36h92ab3c2_1 esri

The following packages will be SUPERSEDED by a higher-priority channel:

    freetype: 2.8-h51f8f2c_1            --> 2.8-vc14_0           esri [vc14]
0 Kudos
Rolandvan_Zoest
New Contributor III

This is conda usage at level 3

Thanks Dan !

0 Kudos